C# Class Revit.SDK.Samples.CreateWallsUnderBeams.CS.CreateWallsUnderBeams

Inheritance: IExternalCommand
Afficher le fichier Open project: AMEE/revit Class Usage Examples

Méthodes publiques

Méthode Description
CreateWallsUnderBeams ( ) : System

Default constructor of CreateWallsUnderBeams

Execute ( ExternalCommandData commandData, string &message, Autodesk elements ) : Autodesk.Revit.UI.Result

Implement this method as an external command for Revit.

Private Methods

Méthode Description
BeginCreate ( Autodesk project ) : System.Boolean

Create the walls which along and under the path of the selected beams

CheckBeamHorizontal ( ) : System.Boolean

Check whether all the beams have horizontal analytical line

Method Details

CreateWallsUnderBeams() public méthode

Default constructor of CreateWallsUnderBeams
public CreateWallsUnderBeams ( ) : System
Résultat System

Execute() public méthode

Implement this method as an external command for Revit.
public Execute ( ExternalCommandData commandData, string &message, Autodesk elements ) : Autodesk.Revit.UI.Result
commandData ExternalCommandData An object that is passed to the external application /// which contains data related to the command, /// such as the application object and active view.
message string A message that can be set by the external application /// which will be displayed if a failure or cancellation is returned by /// the external command.
elements Autodesk A set of elements to which the external application /// can add elements that are to be highlighted in case of failure or cancellation.
Résultat Autodesk.Revit.UI.Result